Extending Qt Creator Manual | DesignMode

Extending Qt Creator Manual 4.5.2

# DesignMode Class

(Core::DesignMode)

Inherits: | Core::IMode

- List of all members, including inherited members

## Public Functions

| DesignMode()
virtual | ~DesignMode()
bool | designModeIsRequired() const
void | registerDesignWidget(QWidget *widget, const QStringList &mimeTypes, const Context &context)
QStringList | registeredMimeTypes() const
void | setDesignModeIsRequired()
void | unregisterDesignWidget(QWidget *widget)

- 12 public functions inherited from Core::IMode
- 6 public functions inherited from Core::IContext

## Signals

void | actionsUpdated(Core::IEditor *editor)

- 1 signal inherited from Core::IMode

## Static Public Members

DesignMode * | instance()

### Additional Inherited Members

- 1 property inherited from Core::IMode

## Member Function Documentation

### DesignMode::DesignMode()

Default constructs an instance of DesignMode.

### `[virtual]` DesignMode::~DesignMode()

Destroys the instance of DesignMode. The destructor is virtual.

### `[signal]` void DesignMode::actionsUpdated(Core::IEditor *editor)

### bool DesignMode::designModeIsRequired() const

See also setDesignModeIsRequired().

### `[static]` DesignMode *DesignMode::instance()

### void DesignMode::registerDesignWidget(QWidget *widget, const QStringList &mimeTypes, const Context &context)

### QStringList DesignMode::registeredMimeTypes() const

### void DesignMode::setDesignModeIsRequired()

See also designModeIsRequired().

### void DesignMode::unregisterDesignWidget(QWidget *widget)